function ann = challenge(recordName,fake)
%CHALLENGE

% Load WFDB toolbox.
if exist('OCTAVE_VERSION','builtin')
    [~,config] = wfdbloadlib;
	if(config.inOctave)
		crash_dumps_octave_core(0);
	end
end

% Read record and convert it to spectograms.
[spec,tspec,fs,~,~,signalred] = readrecord(recordName);

% Compute nonnegative tensor factorization of spectograms.
B = factorize(spec);

% Predict annotations.
ann = predictann(B,signalred,tspec);
ann = round(ann*fs)+1; % MATLAB style indexing.

% Write annotations.
annName = 'qrs';
wrann(recordName,annName,ann);

end
