#! /bin/bash

# file: setup.sh

# This bash script performs any setup necessary in order to test your entry.
# It is run only once, before running any other code belonging to your entry.

# Install the WFDB Toolbox for MATLAB and Octave in mcode/wfdb
rm -rf mcode
mkdir tmp
unzip -o -d tmp sources/libraries/wfdb-app-toolbox-*.zip
mkdir -p mcode/wfdb
mv tmp/mcode/* mcode/wfdb
rm -rf tmp

# Configure the toolbox to use the custom native library built on Debian Wheezy
if [ "$(uname)" == "Darwin" ]; then
	#sed -i "" 's/WFDB_CUSTOMLIB=0;/WFDB_CUSTOMLIB=1;/' ./mcode/wfdb/wfdbloadlib.m
	echo "ok"
else
	sed -i 's/WFDB_CUSTOMLIB=0;/WFDB_CUSTOMLIB=1;/' ./mcode/wfdb/wfdbloadlib.m
fi

# Install LS-SVMlab in mcode/lssvmlab
unzip -o -d mcode sources/libraries/LSSVMlab*.zip
mv mcode/LSSVMlab* mcode/lssvmlab

# Install FastICA in mcode/fastica
mkdir -p mcode/fastica
unzip -o -d mcode/fastica sources/libraries/fastica-*.zip

# Install Tensorlab in mcode/tensorlab
mkdir -p mcode/tensorlab
unzip -o -d mcode/tensorlab sources/libraries/tensorlab-*.zip

# Install general, control and signal packages for Octave
OCTAVE='octave --quiet --eval '
#STR="${OCTAVE} \"pkg prefix ~ ~;pkg local_list ~/.octave_packages;pkg install sources/libraries/general-*.tar.gz;pkg install sources/libraries/control-*.tar.gz;pkg install sources/libraries/signal-*.tar.gz;quit;\""
#echo "$STR"
#eval ${STR}

# Add all code under mcode and sources to Octave's path
STR="${OCTAVE} \"cd('mcode');addpath(genpath(pwd));cd('../sources');addpath(genpath(pwd));savepath;quit;\""
echo "$STR"
eval ${STR}
stty sane
