function s = detrendmedian(s,wndw,step,skip)

if nargin < 3
    step = round(wndw/5);
end
if nargin < 4
    skip = 1;
end

idx = (1:step:length(s)-wndw+1)-1;
swndw = s(bsxfun(@plus,(1:skip:wndw)',idx));

trend = median(swndw,1);

trend = interp1([idx(1)-1 idx length(s)],[trend(1)*1.01 trend trend(end)*1.01], ...
    1:length(s),'pchip');

if nargout == 0
	subplot(211);
	plot(s); hold all;
	plot(trend,':'); hold off;
end

if size(s,1) > 1, s = s-trend(:);
else s = s-trend(:)';
end

if nargout == 0
	subplot(212);
	plot(s);
end

end
