function X = normalizefeatures(X,lookback,lookahead)

% Normalize features.
file = ['featnorm-' int2str(lookback) '-' int2str(lookahead)];
if (nargout > 1 && ~isempty(ann)) || ~exist([file '.mat'],'file')
    
    % Remove median.
    Xm = mean(X,1);
    X = bsxfun(@minus,X,Xm);
    
    % Normalize feature range.
    Xv = sqrt(var(X,0,1));%prctile(abs(X),98,1);
    X = bsxfun(@rdivide,X,Xv);
    
%     % Round outliers.
%     Xqlo = prctile(X,25,1);
%     Xqhi = prctile(X,75,1);
%     Xiqr = iqr(X,1);
%     X = max(min(X,ones(size(X,1),1)*(Xqhi+1.5*Xiqr)), ...
%                   ones(size(X,1),1)*(Xqlo-1.5*Xiqr));
              
    % Save parameters.
    save(['../data/' file '.mat'],'Xm','Xv');%,'Xqlo','Xqhi','Xiqr');
    
else
    
    load(file);
    X = bsxfun(@minus,X,Xm);
    X = bsxfun(@rdivide,X,Xv);
    
%     X = max(min(X,ones(size(X,1),1)*(Xqhi+1.5*Xiqr)), ...
%                   ones(size(X,1),1)*(Xqlo-1.5*Xiqr));
    
end

end
