function signal = normalizesignals(signal,filt)

% Apply lowpass filter to remove noise and artifacts.
if nargin < 2, filt = true; end
if all(isfinite(signal(1,:))) && filt
    len = 3;
    %signal(1,:) = filter(ones(1,len)/len,1,signal(1,:));
end
if all(isfinite(signal(2,:))) && filt
    len = 41;
    %signal(2,:) = filter(ones(1,len)/len,1,signal(2,:));
end
if all(isfinite(signal(3,:))) && filt
    len = 71;
    signal(3,:) = filter(ones(1,len)/len,1,signal(3,:));
end

% Remove trend in SV.
if all(isfinite(signal(3,:)))
    len = 100;
    signal(3,:) = detrendmedian(signal(3,:),len);
end

% Remove median.
signal = bsxfun(@minus,signal,median(signal,2));

% Normalize amplitude.
signal = bsxfun(@rdivide,signal,prctile(abs(signal),98,2));

% Transform SV so that its PSD can discriminate between beat and no beat.
if all(isfinite(signal(3,:))) && filt
    sv = signal(3,:);
    sv(sv < 0) = 0;
    sv = sv.^(1/4);
    signal(3,:) = sv;
end

end
