function [signal,fs] = resamplesignals(t,signal,siginfo,fstarget)

% Estimate sample rate based on time stamps.
fs1 = round(1/(t(2)-t(1)));

% Attempt to read sample rate from siginfo.
fs2 = nan;
if isfield(siginfo(1),'SamplingFrequency') ...
    && ischar(siginfo(1).SamplingFrequency) ...
	&& ~isempty(siginfo(1).SamplingFrequency)
%     tmp = textscan(siginfo(1).SamplingFrequency,'%f %*[^\n]');
%     if ~isempty(tmp{1}) && isfinite(tmp{1})
%         fs2 = tmp{1};
%     end
    tmp = str2double(strrep(strrep(lower(siginfo(1).SamplingFrequency),' ',''),'Hz',''));
    if ~isempty(tmp) && isfinite(tmp)
        fs2 = tmp;
    end
end

% Take one of the two sample rates.
if fs1 <= 0 || ~isfinite(fs1) || abs(fs1-fs2)/fs1 < 1e-2
    fs = fs2;
else
    fs = fs1;
end

% Resample if the sample rate is not already fstarget Hz.
if fs ~= fstarget
    signal = resample(signal,fstarget,fs);
end
signal = signal';

end
